<?php
/**   
* @version		1.0.0
* @package		Contented PDF
* @copyright	Copyright 2013 Netamity, All rights reserved
* @author		Andy Hickey - http://www.netamity.com - andrew@netamity.com
* @license     GNU General Public License version 2 or later;
*/

// no direct access
defined( '_JEXEC' ) or die( ';)' );

// Require the base controller
require_once( JPATH_COMPONENT.DIRECTORY_SEPARATOR.'controller.php' );

// Require specific controller if requested
if( $controller = JRequest::getWord('controller'))
{
	$path = JPATH_COMPONENT.DIRECTORY_SEPARATOR.'controllers'.DIRECTORY_SEPARATOR.$controller.'.php';
	if( file_exists($path)) {
       require_once $path;
   } else {
       $controller = '';
   }
}

// Set Default View
if(!JRequest::getVar('view')) {
	JRequest::setVar('view', 'contented_pdf');
}

// Create the controller
$classname    = 'Contented_pdfController'.$controller;
$controller   = new $classname( );

// Perform the Request task
$controller->execute( JRequest::getVar('task') );

// Redirect if set by the controller
$controller->redirect();
