<?php
/**   
* @version		1.0.0
* @package		Contented PDF
* @copyright	Copyright 2013 Netamity, All rights reserved
* @author		Andy Hickey - http://www.netamity.com - andrew@netamity.com
* @license     GNU General Public License version 2 or later;
*/

// no direct access
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');

/* Contented_pdf controller */
class Contented_pdfControllerContented_pdf extends Contented_pdfController
{

	/* Add K2 items into Contented_pdf (Session) */
	function addtocontented_pdf()
	{	
		$id = JRequest::getVar('id');			
		// Add the all the k2 item ids into Session (i.e. into Contented_pdf)				
		$_SESSION['contented_pdfcart'][$id] = $id;

		//$link = JRoute::_("index.php?option=com_contented_pdf&view=contented_pdf");
		// Redirect to the Previous item page
		$link = JRoute::_($_SERVER['HTTP_REFERER']);
		$this->setRedirect($link);
	}
	
	// Take out of the Values from Contented_pdf
	function takeout()
	{
		$id = JRequest::getVar('id');	
		
		// Takeout the particular items from the contented_pdf	
		unset($_SESSION['contented_pdfcart'][$id]);
		
		$link = JRoute::_("index.php?option=com_contented_pdf&view=contented_pdf");
		$this->setRedirect($link);
	}
	
	public function getPrevKey($key, $hash = array())
	{
    $keys = array_keys($hash);
    $found_index = array_search($key, $keys);
    if ($found_index === false || $found_index === 0)
        return false;
    return $keys[$found_index-1];
	}
	
	public function array_swap_assoc($key1, $key2, $array) {
        $newArray = array ();
        foreach ($array as $key => $value) {
            if ($key == $key1) {
                $newArray[$key2] = $array[$key2];
            } elseif ($key == $key2) {
                $newArray[$key1] = $array[$key1];
            } else {
                $newArray[$key] = $value;
            }
        }
        return $newArray;
    }
	
		// Take out of the Values from Contented_pdf
	function reorderup()
	{
		$pushup = JRequest::getVar('id');
		$contented_pdfcart = $_SESSION['contented_pdfcart'];
		$pulldown = $this->getPrevKey($pushup,$contented_pdfcart);
		
		$contented_pdfcart = $this->array_swap_assoc($pulldown,$pushup,$contented_pdfcart);

		$_SESSION['contented_pdfcart'] = $contented_pdfcart;
		
		$link = JRoute::_("index.php?option=com_contented_pdf&view=contented_pdf");
		$this->setRedirect($link,'Items re-ordered successfully');
	}
	
} // end class	
