<?php
	/**   
* @version		1.0.0
* @package		Contented PDF
* @copyright	Copyright 2013 Netamity, All rights reserved
* @author		Andy Hickey - http://www.netamity.com - andrew@netamity.com
* @license     GNU General Public License version 2 or later;
*/

// no direct access
	defined( '_JEXEC' ) or die( ';)' );
jimport('joomla.filesystem.file');
	require_once(JPATH_COMPONENT.'/mpdf/mpdf.php');	

	$document = JFactory::getDocument();
	$fetchere = JPATH_ROOT . DIRECTORY_SEPARATOR;

		jimport('joomla.application.component.helper');
      	$component = JComponentHelper::getComponent( 'com_contented_pdf' );
		$comParams = new JRegistry();
		$comParams->loadString($component->params);
		$params1 =  $comParams->get('params');
	  
	  $jinput = JFactory::getApplication()->input;
	  $easyread = $jinput->get('cmode', false);
	  

if($params1->contented_pgorientation < 1)
{
$mpdf=new mPDF();	
}	
else
{
$mpdf=new mPDF('utf-8', 'A4-L');	
}

$pdffilename = $params1->pdfFileName;
	  if ($params1->addDateToFilename) { $pdffilename .= date('Ymd'); }
$pdffilename .= '.pdf';




if(strlen($params1->bodyCSS)>5) { $mpdf->WriteHTML($params1->bodyCSS,1); }

$html = '';
$mpdf->DefHTMLHeaderByName('AHeader',$params1->headerHTML);
	// //insert cover page
	$itu = new Contented_pdfModelContented_pdf;
	$k2item = $params1->coverK2Id;
	if ($params1->addCover)
	{
	$coverpage = $itu->getCoverPage($k2item);	
	$mpdf->WriteHTML($coverpage);
	}

	// //end insert cover page

$mpdf->DefHTMLFooterByName('AFooter',$params1->footerHTML);	


$mpdf->SetHTMLHeaderByName('AHeader');
if($params1->addTOC)
{
$mpdf->h2toc = array('H2'=>0, 'H3'=>1);	
//$mpdf->TOCpagebreak( 'toc-odd-footer-name="html_TOCFooter"','toc-even-footer-name="html_TOCFooter"');
$tocstuff = '<tocpagebreak toc-odd-footer-value="off" toc-even-footer-value="off" toc-odd-header-value="off" toc-even-header-value="off" toc-preHTML="&lt;h2&gt;'.$params1->TOCTitle.'&lt;/h2&gt;" />';
$mpdf->WriteHTML($tocstuff);	
}
	

$mpdf->SetHTMLFooterByName('AFooter');					
//add article content
		foreach($this->contented_pdfdata as $contented_pdf) 
		{	

			$introtext = trim($contented_pdf->introtext);
			$introtext = JHtml::_('content.prepare', $introtext);
			//$introtext = strip_tags($introtext); 
		
			$link 	= JRoute::_("index.php?option=com_k2&view=item&layout=item&id=".$contented_pdf->id);
			$takeout= JRoute::_("index.php?option=com_contented_pdf&view=contented_pdf&controller=contented_pdf&task=takeout&id=".$contented_pdf->id);
		
			if ($contented_pdf->type == 'K')
			{
			$image_file	= md5("Image".$contented_pdf->id).'_M.jpg';
			if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.'media'.DIRECTORY_SEPARATOR.'k2'.DIRECTORY_SEPARATOR.'items'.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.$image_file)) {
				$image = 'media/k2/items/cache/'.$image_file;
						}
				else if ($contented_pdf->image)
				{
				$image = 'media/k2/categories/'.$contented_pdf->image;
				}
				else
				{
				$image =  $params1->defimg;
				if (!$image) { $images = 'http://www.netamity.com/serve/cpdf_logo_trans.png'; }
				}				
			}
			else
			{
		
				$aparameter = json_decode($contented_pdf->images);
				$try1 = $aparameter->image_intro; 
				$try2 = $aparameter->image_fulltext;
				$bparameter = json_decode($contented_pdf->params);
				$try3 = $bparameter->image; 
				if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.$try1)) {
					$image = $try1;
				}
				else if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.$try2)) {
					$image = $try2;
				}
				else if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.$try3)) {
					$image = $try3;
				}
				else
				{
				$image =  $params1->defimg;
				if (!$image) { $image = 'http://www.netamity.com/serve/cpdf_logo_trans.png'; }
				}	
			}		
			
			$html .='<div style="width:100%;">';
				if ($params1->pdfShowImg && !$easyread)
				{
				$html .='<div><img style="width:' . $params1->pdfImgWidth . 'px;" src="'.$image.'" /></div>';
				}
				$html .='<div class="itemHeader"><h2 class="itemTitle">'.$contented_pdf->title.'</h2></div>';
				$html .='<div>'.$introtext.'</div>';						
			$html .='</div>';
			
			//add when floating works
			// $html .='<div style="width:100%;"><h2 class="itemTitle">'.$contented_pdf->title.'</h2>';		
				// $html .='<p><img style="width:320px; float:left" src="'.$image.'" /><p>';
				// $html .=$introtext;						
			// $html .='</div>';
		if ($params1->newOnNewPg) //should there be page breaks
		{
			$html .='<pagebreak />';
		}
		else
		{
			$html .= '<br/><hr/><br/>';
		}		
		}	

// Print text using writeHTMLCell()
$mpdf->WriteHTML($html);
$mpdf->Output($pdffilename,'I');
//============================================================+
// END OF FILE
//============================================================+
jexit();