<?php
/**   
* @version		1.0.0
* @package		Contented PDF
* @copyright	Copyright 2013 Netamity, All rights reserved
* @author		Andy Hickey - http://www.netamity.com - andrew@netamity.com
* @license     GNU General Public License version 2 or later;
*/

// no direct access
defined( '_JEXEC' ) or die( ';)' );

$app = JFactory::getApplication('site');
$params = JComponentHelper::getParams('com_contented_pdf');
?>
<table style="max-width: 100%; border-collapse: collapse; border-spacing: 0px; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 13px; line-height: 18px;" width="960px">
<tbody>
<tr>
<td>
<h2 style="margin: 12px 0px; font-family: inherit; font-weight: bold; line-height: 24px; color: inherit; text-rendering: optimizeLegibility; font-size: 22px;">Contented PDF Version 2.0</h2>
<h4 style="margin: 12px 0px; font-family: inherit; line-height: 16px; color: inherit; text-rendering: optimizeLegibility; font-size: 14px;">By <a style="color: #1f496e; text-decoration: underline; outline: none;" title="NetAmity- Experts in Bespoke Joomla! Extensions Development" href="http://www.netamity.com/" target="_blank">NetAmity</a></h4>
<p style="margin: 0px 0px 9px;">The new version of Contented PDF uses a different php PDF generation library mPdf ( <a style="color: #3071a9;" href="http://www.mpdf1.com/mpdf/index.php" target="_blank">http://www.mpdf1.com/mpdf/index.php</a> ) . </p>
<p style="margin: 0px 0px 9px;"><strong>What's new</strong></p>
<ul style="padding: 0px; margin: 0px 0px 9px 25px;">
<li>Better rendering of html elements. Tables, lists and image positioning are all vastly improved</li>
<li>Unicode support with many available character sets</li>
<li>Landscape option</li>
<li>More control over headers and footers through cuatom html elements</li>
<li>Table of Content that automatically adds the titles from each article</li>
<li>Better support for content plugin-ins (experimental)</li>
<li>Integrated updates via the Netamity server</li>
</ul>
<p style="margin: 0px 0px 9px;"><strong>Getting started - new install</strong></p>
<ol style="padding: 0px; margin: 0px 0px 9px 25px;">
<li>Enable and configure the contented PDF plugin through the Extensions-&gt;Plugins menu</li>
<ul style="padding: 0px; margin: 0px 0px 0px 25px;">
<li>You can edit the hyperlink text and choose where and in which views the <em>Add to document</em> link appears</li>
</ul>
<li>Publish the contented PDF module through the Extensions-&gt;Modules menu. We recommed it is displayed on every page with articles or K2 content</li>
<li>Optionally, open up <em>Preferences/Options</em> on this screen, adjust settings and save. Default settings have been set, so this is not required. You may choose to adjust these afterwards.</li>
</ol>
<p style="margin: 0px 0px 9px;"><strong>Getting started - update</strong></p>
<p style="margin: 0px 0px 9px;">Some things have changed. The best thing to do is to go into the components options and take a look at new options available. You'll need to set these and Save in order tomake sure that the new settings are in place.</p>
</td>
<td><img style="max-width: 100%; height: auto; vertical-align: middle; border: 0px;" src="../components/com_contented_pdf/images/cpdf_logo.png" alt="" /></td>
</tr>
</tbody>
</table>
<h2 style="margin: 12px 0px; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; font-weight: bold; line-height: 24px; text-rendering: optimizeLegibility; font-size: 22px;">About Contented PDF</h2>
<p style="margin: 0px 0px 9px; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 13px; line-height: 18px;">Contented PDF is based on <a style="color: #3071a9;" href="http://www.content2pdf.com/" target="_blank">Content2PDF</a>, which in turn is based on the <a href="http://www.mpdf1.com/mpdf/index.php" target="_blank">mPDF</a> library. It is compatible with Joomla 2.5/Joomla 3.0 with many additional features.</p>
<ul style="padding: 0px; margin: 0px 0px 9px 25px; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 13px; line-height: 18px;">
<li>Customise labels and titles</li>
<li>View/hide images in the basket and in the produce report</li>
<li>Combine K2 items and Joomla content in the same PDF reports</li>
<li>Change the length of the preview text in the basket</li>
<li>Add a cover page to all reports drawing from a Joomla article</li>
<li>Add a header and footer images to every page. In Version 2 this is done through custom html includes, which allows for text and page numbers in addition to images</li>
<li>Include page numbers and choose their position (in Version 2, you can do this within the header or footer code by inserting <span style="color: #000000; font-family: Verdana, Geneva, sans-serif; font-size: 14px; line-height: 18.2000007629395px;">{PAGENO}</span></li>
<li>Control styles through the addition of your own PDF-specific CSS</li>
<li>Set the filename of the produced report (with or without date added)</li>
<li>Provide an <em>Easy-read</em> link for accessibility that produces an image-free report with large text</li>
</ul>
<p style="margin: 0px 0px 9px; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 13px; line-height: 18px;">Please get in touch with any problems or comments at <a style="color: #3071a9;" title="Get support from our site" href="http://www.netamity.com/" target="_blank">www.netamity.com</a></p>
<p style="margin: 0px 0px 9px; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size: 13px; line-height: 18px;">Thank you for using Contented PDF</p>