<?php
/**   
* @version		1.0.0
* @package		Contented PDF
* @copyright	Copyright 2013 Netamity, All rights reserved
* @author		Andy Hickey - http://www.netamity.com - andrew@netamity.com
* @license     GNU General Public License version 2 or later;
*/

// no direct access
defined( '_JEXEC' ) or die( ';)' );

//add jfile just in case
jimport('joomla.filesystem.file');

if(!$this->contented_pdfdata)
{
	echo JText::_('COM_CONTENTED_PDF_AUTH_RECORDS');
	return false;
}
//unset($_SESSION['contented_pdfcart']);
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_contented_pdf/css/contented_pdf.css'); 

		$component = JComponentHelper::getComponent( 'com_contented_pdf' );
		$comParams = new JRegistry();
		$comParams->loadString($component->params);
		$params1 =  $comParams->get('params');
		//echo $params1->contented_pdfTitle;

?>

<div style="width:100%;">
	<?php
	//display page title
	 if (strlen($params1->contented_pdfTitle>3))
	{
	echo '<h1>' . $params1->contented_pdfTitle . '</h1>';
	}
	
	
	$k = 0; $image = '';
	$ini_item = 1;
	$itemcount = count($this->contented_pdfdata);
	foreach($this->contented_pdfdata as $contented_pdf) 
	{ 
	//print_r( $contented_pdf );

			// Remove the bots from introtext
			$regex 	= '/{mosmap\s*.*?}/i';
			$introtext = trim($contented_pdf->introtext);
			$introtext = preg_replace($regex, ' ', $introtext);
			$introtext = strip_tags($introtext); 
			$takeout	= JRoute::_("index.php?option=com_contented_pdf&view=contented_pdf&controller=contented_pdf&task=takeout&id=".$contented_pdf->type . $contented_pdf->id);
			$reorderup	= JRoute::_("index.php?option=com_contented_pdf&view=contented_pdf&controller=contented_pdf&task=reorderup&id=".$contented_pdf->type . $contented_pdf->id);
			


			
			if ($contented_pdf->type == 'K')
			{
			$link 		= JRoute::_("index.php?option=com_k2&view=item&layout=item&id=".$contented_pdf->type . $contented_pdf->id);
			$image_file	= md5("Image".$contented_pdf->id).'_M.jpg';
			if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.'media'.DIRECTORY_SEPARATOR.'k2'.DIRECTORY_SEPARATOR.'items'.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.$image_file)) {
				$image = JURI::root().'media/k2/items/cache/'.$image_file;
						}
				else if ($contented_pdf->image)
				{
				$image = JURI::root().'media/k2/categories/'.$contented_pdf->image;
				}
				else
				{
				$image =  $params1->defimg;
				if (!$image) { $image= 'http://www.netamity.com/serve/cpdf_logo_trans.png'; }
				}				
			// Resize image
			$imgResized = $image . '" width="' . $params1->contented_pdfImgWidth . 'px" height="auto';

			}
			else
			{
			//get default image from module
			//don't forget, stupid head!
						$link 		= JRoute::_("index.php?option=com_content&view=article&id=" . $contented_pdf->id);
			
				$aparameter = json_decode($contented_pdf->images);
				$try1 = $aparameter->image_intro; 
				$try2 = $aparameter->image_fulltext;
				$bparameter = json_decode($contented_pdf->params);
				$try3 = $bparameter->image; 
				if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.$try1)) {
					$image = JURI::root().$try1;
				}
				else if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.$try2)) {
					$image = JURI::root().$try2;
				}
				else if(JFile::exists(JPATH_SITE.DIRECTORY_SEPARATOR.$try3)) {
					$image = JURI::root().$try3;
				}
				else
				{
				$image =  $params1->defimg;
				if (!isset($defimg)) { $image ='http://www.netamity.com/serve/cpdf_logo_trans.png'; }
				}	
				// Resize image
			$imgResized = $image . '" width="' . $params1->contented_pdfImgWidth . 'px" height="auto';
			}			
		
		if ($ini_item!=1) { ?><div style="text-align:center"><a href="<?php echo $reorderup; ?>" class="cpdf_reorder_link"><img src="components/com_contented_pdf/images/arrows.png" title="Change order"/></a></div><div>&nbsp;</div><?php } $ini_item++;
	?>
		<div class="itemwrappr">
		<table class="contented_pdf_container">		
			<?php if ($params1->contented_pdfShowCat>0) { ?>
			<tr>
				<td colspan="2" class="contented_pdf_cattile"><?php echo $contented_pdf->name; ?></td>
			</tr>
			<?php } ?>
			<tr>
			<?php if ($params1->contented_pdfShowImg == 1)
			{ ?>
				<td rowspan="2" valign="top" width="100px" style="padding:10px;"><img src="<?php echo $imgResized; ?>"/></td>
			<?php } ?>
				<td class="contented_pdf_itemtitle"><a href="<?php echo $link;?>"><?php echo $contented_pdf->title; ?></a></td>
			</tr>
			<tr>
			<?php if ($params1->contented_pdfIntroLength>0) { ?>
					<td><p><?php echo substr($introtext, 0, $params1->contented_pdfIntroLength); ?>
							<?php if ($params1->contented_pdfIntroLength<10000) { //show dots only for clipped articles ?>
							...
							<?php } ?>
					</p></td>
			<?php } ?>
			</tr>
			
			<tr>
				<td class="contented_pdf_infotd" colspan="2">
					<div style="width:100%;">
						<div style="width:69%;" class="contented_pdf_infobar">
							<a href="<?php echo $link; ?>" target="_blank"><?php echo $params1->infoLinkText; ?></a>
						</div>
						<div style="width:30%;" class="contented_pdf_infobar">
							<a href="<?php echo $takeout; ?>" target="_blank" onclick="return confirm('<?php echo $params1->removeLinkConfirmText; ?>');" >
								<?php echo $params1->removeLinkText; ?>
							</a>
							
						</div> 
					</div>
				</td>
			</tr>	
		</table>
		</div>	
		<div>&nbsp;</div>
	<?php
		$k = 1 - $k;		
	}
	?>
	
	<table class="contented_pdf_bottom_table">
		<tr><td colspan="3"><hr /></td></tr>
		<tr>
			<td class="contented_pdf_bottom_texts" align="<?php echo $params1->alignPrintLink; ?>">
				<a href="index.php?option=com_contented_pdf&view=contented_pdf&layout=printpdf&format=pdf" >
					<?php echo $params1->printLinkText; ?>  <img src="components/com_contented_pdf/images/arrow.gif" />
				</a>	
			</td>
			<td class="contented_pdf_bottom_texts" align="<?php echo $params1->alignPrintLink; ?>">
				<?php if ($params1->addAccLink > 0) { ?> <a href="index.php?option=com_contented_pdf&view=contented_pdf&layout=printpdf&format=pdf&cmode=easyread" >
					Easy-read Version<img src="components/com_contented_pdf/images/arrow.gif" />
				</a><?php } ?>	
			</td>
			
		</tr>
		<tr><td colspan="3"><hr /></td></tr>
	</table>
</div>
